- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/v1/regionHealthCheckServices/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/v1/regionHealthCheckServices/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/regionHealthCheckServices/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/regionHealthCheckServices/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/regionHealthCheckServices/get#body.HealthCheckService.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/v1/regionHealthCheckServices/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/v1/regionHealthCheckServices/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/v1/regionHealthCheckServices/get#try-it)

Returns the specified regional `HealthCheckService` resource.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/v1/projects/{project}/regions/{region}/healthCheckServices/{healthCheckService}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `region` | `string` Name of the region scoping this request. |
| `healthCheckService` | `string` Name of the `HealthCheckService` to update. The name must be 1-63 characters long, and comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt). |

### Request body

The request body must be empty.

### Response body

Represents a Health-Check as a Service resource.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "id": string, "creationTimestamp": string, "selfLink": string, "name": string, "description": string, "region": string, "healthStatusAggregationPolicy": enum, "healthChecks": [ string ], "networkEndpointGroups": [ string ], "notificationEndpoints": [ string ], "fingerprint": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. Type of the resource. Always `compute#healthCheckService`for health check services. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource. This identifier is defined by the server. |
| `creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `name` | `string` Name of the resource. The name must be 1-63 characters long, and comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt). Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. |
| `description` | `string` An optional description of this resource. Provide this property when you create the resource. |
| `region` | `string` Output only. URL of the region where the health check service resides. This field is not applicable to global health check services. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body. |
| `healthStatusAggregationPolicy` | `enum` Optional. Policy for how the results from multiple health checks for the same endpoint are aggregated. Defaults to NO_AGGREGATION if unspecified. - `NO_AGGREGATION`. An `EndpointHealth` message is returned for each \<endpoint, health check\> pair in the health check service. - `AND`. If any health check of an endpoint reports `UNHEALTHY`, then `UNHEALTHY` is the `HealthState` of the endpoint. If all health checks report `HEALTHY`, the `HealthState` of the endpoint is `HEALTHY`. . This is only allowed with regional `HealthCheckService`. <br /> |
| `healthChecks[]` | `string` A list of URLs to the `HealthCheck` resources. Must have at least one `HealthCheck`, and not more than 10 for regional `HealthCheckService`, and not more than 1 for global `HealthCheckService`. `HealthCheck` resources must have `portSpecification`=`USE_SERVING_PORT` or `portSpecification`=`USE_FIXED_PORT`. For regional `HealthCheckService`, the `HealthCheck` must be regional and in the same region. For global `HealthCheckService`, `HealthCheck` must be global. Mix of regional and global `HealthChecks` is not supported. Multiple regional `HealthChecks` must belong to the same region. Regional `HealthChecks` must belong to the same region as zones of `NetworkEndpointGroups`. For global `HealthCheckService` using global `INTERNET_IP_PORT` `NetworkEndpointGroups`, the global `HealthChecks` must specify `sourceRegions`, and `HealthChecks` that specify `sourceRegions` can only be used with global `INTERNET_IP_PORT` `NetworkEndpointGroups`. |
| `networkEndpointGroups[]` | `string` A list of URLs to the `NetworkEndpointGroup` resources. Must not have more than 100. For regional `HealthCheckService`, `NEG`s must be in zones in the region of the `HealthCheckService`. For global `HealthCheckServices`, the `NetworkEndpointGroups` must be global `INTERNET_IP_PORT`. |
| `notificationEndpoints[]` | `string` A list of URLs to the `NotificationEndpoint` resources. Must not have more than 10. A list of endpoints for receiving notifications of change in health status. For regional `HealthCheckService`, `NotificationEndpoint` must be regional and in the same region. For global `HealthCheckService`, `NotificationEndpoint` must be global. |
| `fingerprint` | `string (https://developers.google.com/discovery/v1/type-format format)` Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a `HealthCheckService`. An up-to-date fingerprint must be provided in order to patch/update the HealthCheckService; Otherwise, the request will fail with error `412 conditionNotMet`. To see the latest fingerprint, make a `get()` request to retrieve the HealthCheckService. A base64-encoded string. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.regionHealthCheckServices.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).